<?php defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
//My Gallery
// (based on Nant's CB Gallery)
/**
* Truckerpedia Photo Gallery
* @copyright Copyright (C) 2006 ProWebscape/ Charles Madison. All rights reserved.
*/

//HEADER
if ( $viewHeader ) {
	require_once($viewsPath.'view.header.php');
}

//IF LOGGED IN
if ($my->gid || $allowGuests) {

	//GET and SET itemCount
	if ($itemCount == '0' || $itemCount == '' ) {
		$itemCount = '';
	} else {
		$itemCount = 'LIMIT 0, ' . $itemCount;
	}

	//GET and SET howManyDays
	if ($howManyDays == '0' || $howManyDays == '') {
		$howManyDays = '';
	} else {
		$howManyDays = 'AND (pgitemdate >= DATE_SUB(CURRENT_DATE(), INTERVAL ' . $howManyDays . ' DAY))';
	}

switch ($searchOrder) {
	case 0:	// Random Gallery Item
		$orderBy = "\n ORDER BY RAND()";
		break;
	case 1:	// Newest Gallery Item
		$orderBy = "\n ORDER BY pgitemdate desc";
		break;
	case 2:	// Oldest Gallery Item
		$orderBy = "\n ORDER BY pgitemdate asc";
		break;
	case 3: // Largest (in bytes) Gallery Item
		$orderBy = "\n ORDER BY pgitemsize desc";
		break;
	case 4: // Smallest (in bytes) Gallery Item
		$orderBy = "\n ORDER BY pgitemsize asc";
		break;
	default:
		$orderBy = "";
		break;
}

$searchParameters = $howManyDays . ' ' . $orderBy . ' ' . $itemCount;

//GET YOUR PICS
	if ($my->gid) {
		$database->setQuery( "SELECT * FROM #__comprofiler_plug_profilegallery WHERE userid = $my->id");
		$rows = $database->loadObjectList();
		if ($database->loadObject( $rows )) {
			require_once($viewsPath.'view.myPics.php');
		} else {
			require_once($viewsPath.'view.noMyPics.php');
		}
	}

//GET ALL OTHER PICS
	if ($my->usertype == 'Administrator' || $my->usertype == 'Super Administrator')
		if ($adminParams) {
			$photoQuery = 'SELECT * FROM #__comprofiler_plug_profilegallery WHERE userid <> '. $my->id . ' ' . $searchParameters;
		} else {
		$photoQuery = 'SELECT * FROM #__comprofiler_plug_profilegallery WHERE userid <> '. $my->id;
	} else {
		$photoQuery = 'SELECT * FROM #__comprofiler_plug_profilegallery WHERE userid <> ' . $my->id . ' AND pgitempublished=1 AND pgitemapproved=1 ' . $searchParameters;
	}

	$database->setQuery($photoQuery);
	$rows = $database->loadObjectList();
	if ($database->loadObject( $rows )) {
	require_once($viewsPath.'view.othersPics.php');
	} else {
		require_once($viewsPath.'view.noOthersPics.php');
	}

//IF ADMIN, SHOW ALL FIELDS AVAILABLE
	if ($my->usertype == 'Administrator' || $my->usertype == 'Super Administrator' && $viewAdminKey) {
		require_once($viewsPath.'view.admin.php');
	}

//ELSE NOT LOGGED IN
} else {
	require_once($viewsPath.'view.guest.php');
}

//FOOTER
if ( $viewFooter ) {
	require_once($viewsPath.'view.footer.php');
}

?>